body{
  margin:0;
  padding: 0;
  height: 100vh;
  width: 100%;
  background: #FFC090;
}       
.btn--form {
font-size: 1.6rem;
color: #fff;
padding: 0.8rem 1.6rem;
border-radius: 18px;
background-color: #050C1B;
cursor: pointer;
transition: all 0.3s ease;
border: none;
}
.center
{     
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);  
    width:400px;
    background:white ;
    border-radius: 10px;
}
.sign-in 
{
  font-size: 1.2rem;
}
.center h1
{
    text-align: center;
    padding: 0 0 20px 0;
    border-bottom: 1px solid silver;
}
.center form
{
    padding: 0 40px;
    box-sizing: border-box;
}
form .txt_field
{
    position: relative;
    border-bottom: 2px solid #adadad;
    margin:30px 0;
}
.txt_field input
{
    width:100%;
    padding: 0 5px;
    height: 40px;
    font-size: 16px;
    border: none;
    background: none;
    outline: none;

}
.txt_field label
{
    position: absolute;
    top: 50%;
    left: 5px;
    color: #adadad;
    transform: translateY(-50%);
    font-size: 16px;
    pointer-events: none;
    transition: .5s;

}
.txt_field span::before
{
    content: '';
    position: absolute;
    top: 40px;
    left:0;
    width: 100%;
    height: 2px;
    background: #050C1B;
    transition: .5s;
    
}
.txt_field input:focus ~ label,
.txt_field input:valid ~ label
{
  top: -5px;
  color:#2691d9;
}
.txt_field input:focus ~ span::before,
.txt_field input:valid ~ span::before
{
    width: 100%;
}
.pass{
    margin: -5px 0 20px 5px ;
    color: #a6a6a6;
    cursor: pointer;
}
.pass:hover
{
    text-decoration: underline;
}
.form--input-field {
    display: flex;
    flex-direction: column;
    }
input[type='submit']
{
    height: 50px;
    width: 100%;
    border:  1px solid;
    background: #050C1B;
    border-radius: 25px;
    font-size: 18px;
    color: #e9f4fb;
    cursor: pointer;
    outline: none;
    margin: 20px 0;
}
input[type='submit']:hover
{
    border-color: #050C1B;
    transition: .5s;
}
